# Enum Class SyScrollBarHideIfDisabled

java.lang.Object
java.lang.Enum<SyScrollBarHideIfDisabled>
com.io7m.jsycamore.api.components.SyScrollBarHideIfDisabled

All Implemented Interfaces:
  `Serializable, Comparable<SyScrollBarHideIfDisabled>, Constable`

public enum SyScrollBarHideIfDisabled extends Enum<SyScrollBarHideIfDisabled>
A specification of whether to collapse scrollbars to zero size when disabled.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HIDE_IF_DISABLED`
  When disabled, the scrollbar collapses to zero size and is effectively hidden.
  `SHOW_EVEN_IF_DISABLED`
  When disabled, the scrollbar remains visible.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SyScrollBarHideIfDisabled`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyScrollBarHideIfDisabled[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HIDE_IF_DISABLED

    public static final SyScrollBarHideIfDisabled HIDE_IF_DISABLED
    When disabled, the scrollbar collapses to zero size and is effectively hidden.

  - ### SHOW_EVEN_IF_DISABLED

    public static final SyScrollBarHideIfDisabled SHOW_EVEN_IF_DISABLED
    When disabled, the scrollbar remains visible.

- ## Method Details

  - ### values

    public static SyScrollBarHideIfDisabled[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyScrollBarHideIfDisabled valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null